curl "https://api.dabarai.com/v1/politics/69aa51d188c08a82d22fb2d8" \
-H "api-token: YOUR_TOKEN"
{
"success": true,
"data": {
"_id": "69aa51d188c08a82d22fb2d8",
"userId": "69b14c847a9b9458fa6b4462",
"name": "BP Rules New 3",
"description": "Analizar los documentos...",
"rules": [{ "name": "R1", "description": "..." }],
"knowledgeFiles": [
{ "url": "https://example.com/spec.pdf", "type": "pdf", "name": "spec.pdf" }
],
"contactNotifications": [],
"outputFormat": null,
"status": 1,
"createdAt": "2026-03-05T16:38:54.108Z",
"updatedAt": "2026-03-13T00:31:23.687Z"
}
}
Politics
Get politics
Retrieve a single politics document by id
GET
/
politics
/
{id}
curl "https://api.dabarai.com/v1/politics/69aa51d188c08a82d22fb2d8" \
-H "api-token: YOUR_TOKEN"
{
"success": true,
"data": {
"_id": "69aa51d188c08a82d22fb2d8",
"userId": "69b14c847a9b9458fa6b4462",
"name": "BP Rules New 3",
"description": "Analizar los documentos...",
"rules": [{ "name": "R1", "description": "..." }],
"knowledgeFiles": [
{ "url": "https://example.com/spec.pdf", "type": "pdf", "name": "spec.pdf" }
],
"contactNotifications": [],
"outputFormat": null,
"status": 1,
"createdAt": "2026-03-05T16:38:54.108Z",
"updatedAt": "2026-03-13T00:31:23.687Z"
}
}
Path parameters
string
required
24-character hex ObjectId of the politics.
Headers
string
required
Your Dabar API token.
Response
boolean
Politics
Errors
| Status | Reason |
|---|---|
400 | id is not a valid ObjectId |
404 | Politics not found for this user |
curl "https://api.dabarai.com/v1/politics/69aa51d188c08a82d22fb2d8" \
-H "api-token: YOUR_TOKEN"
{
"success": true,
"data": {
"_id": "69aa51d188c08a82d22fb2d8",
"userId": "69b14c847a9b9458fa6b4462",
"name": "BP Rules New 3",
"description": "Analizar los documentos...",
"rules": [{ "name": "R1", "description": "..." }],
"knowledgeFiles": [
{ "url": "https://example.com/spec.pdf", "type": "pdf", "name": "spec.pdf" }
],
"contactNotifications": [],
"outputFormat": null,
"status": 1,
"createdAt": "2026-03-05T16:38:54.108Z",
"updatedAt": "2026-03-13T00:31:23.687Z"
}
}
⌘I